name: prometheus-versus-3
services:
  azure-assigned-identity-rc:
    name: azure-assigned-identity-rc
    type: AzureAssignedIdentity
    apiVersion: aadpodidentity.k8s.io/v1
    namespace: default
    version: 1.0.0-rc1
    model: aks-appgw-fe
    traits:
      meshmap:
        edges: []
        id: cdfb9772-1f2f-4bcb-8b1c-e654c6a97ce8
        label: azure-assigned-identity-rc
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Network
          displayName: 'Azure Application Gateway '
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            source_uri: https://github.com/richminchukio/helm-aks-appgw-fe/archive/refs/tags/aks-appgw-fe-1.0.0-rc1.tar.gz
            svgColor: ui/public/static/img/meshmodels/aks-appgw-fe/color/azureassignedidentity-color.svg
            svgWhite: ui/public/static/img/meshmodels/aks-appgw-fe/white/azureassignedidentity-white.svg
          name: aks-appgw-fe
          version: 1.0.0-rc1
        meshmodel-metadata:
          genealogy: ""
          isNamespaced: true
          logoURL: ""
          model: aks-appgw-fe
          modelDisplayName: 'Azure Application Gateway '
          primaryColor: '#5e9624'
          published: true
          secondaryColor: '#76bc2d'
          shape: diamond
          styleOverrides: ""
          subCategory: Service Proxy
          svgColor: ui/public/static/img/meshmodels/aks-appgw-fe/color/azureassignedidentity-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/aks-appgw-fe/white/azureassignedidentity-white.svg
        position:
          posX: 515.5936132205624
          posY: 426.83767097218333
        whiteboardData:
          style:
            z-index: 5
  certificate-sa:
    name: certificate-sa
    type: Certificate
    apiVersion: networking.internal.knative.dev/v1alpha1
    namespace: default
    version: 1.0.1
    model: knative-serving
    settings:
      spec:
        dns Names: []
    traits:
      meshmap:
        edges: []
        id: 3f8454ca-5a3e-4277-b57b-3381de3ec8e5
        label: certificate-sa
        meshmodel-data:
          category:
            metadata: null
            name: Serverless
          displayName: Knative Serving
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            source_uri: https://charts.kubegems.io/kubegems/charts/knative-serving-1.0.1.tgz
            svgColor: ui/public/static/img/meshmodels/knative/color/apiserversource-color.svg
            svgWhite: ui/public/static/img/meshmodels/knative/white/apiserversource-white.svg
          name: knative-serving
          version: 1.0.1
        meshmodel-metadata:
          genealogy: ""
          isNamespaced: true
          logoURL: ""
          model: knative-serving
          modelDisplayName: Knative Serving
          primaryColor: '#0865ad'
          published: true
          secondaryColor: '#4DAAF2'
          shape: circle
          styleOverrides: ""
          subCategory: Installable Platform
          svgColor: ui/public/static/img/meshmodels/knative/color/apiserversource-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/knative/white/apiserversource-white.svg
        position:
          posX: 474.23186339811923
          posY: 423.3016851989234
        whiteboardData:
          style:
            z-index: 6
  deployment-pn:
    name: deployment-pn
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    labels:
      newKey: New Value
    settings:
      spec:
        template:
          spec:
            containers:
            - name: ""
    traits:
      meshmap:
        edges: []
        id: e40e0da9-9e1b-428c-8cde-88ca0185f597
        label: deployment-pn
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by leecalcote
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 563.1186195832712
          posY: 424.04683680266197
        whiteboardData:
          style:
            z-index: 3
